Package org.apache.felix.hc.core.impl.executor

## Class CombinedExecutionResult

- java.lang.Object
- - org.apache.felix.hc.core.impl.executor.CombinedExecutionResult

All Implemented Interfaces:
  `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

    public class CombinedExecutionResult
    extends Object
    implements org.apache.felix.hc.api.execution.HealthCheckExecutionResult

Used to group execution results.

### Constructor Summary

Constructors
`CombinedExecutionResult​(List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults)`
`CombinedExecutionResult​(List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults, org.apache.felix.hc.api.Result.Status statusForZeroResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getElapsedTimeInMs()`
`List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult>` `getExecutionResults()`
`Date` `getFinishedAt()`
`org.apache.felix.hc.api.execution.HealthCheckMetadata` `getHealthCheckMetadata()`
`org.apache.felix.hc.api.Result` `getHealthCheckResult()`
`boolean` `hasTimedOut()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CombinedExecutionResult

    public CombinedExecutionResult​(List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults)

#### CombinedExecutionResult

    public CombinedExecutionResult​(List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults,
                                   org.apache.felix.hc.api.Result.Status statusForZeroResult)

### Method Detail

#### getHealthCheckResult

    public org.apache.felix.hc.api.Result getHealthCheckResult()

Specified by:
  `getHealthCheckResult` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

#### getExecutionResults

    public List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> getExecutionResults()

#### getElapsedTimeInMs

    public long getElapsedTimeInMs()

Specified by:
  `getElapsedTimeInMs` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

#### getFinishedAt

    public Date getFinishedAt()

Specified by:
  `getFinishedAt` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

#### hasTimedOut

    public boolean hasTimedOut()

Specified by:
  `hasTimedOut` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

#### getHealthCheckMetadata

    public org.apache.felix.hc.api.execution.HealthCheckMetadata getHealthCheckMetadata()

Specified by:
  `getHealthCheckMetadata` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutionResult`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`